Package org.springframework.security.authentication

# Class DisabledException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.authentication.AccountStatusException
org.springframework.security.authentication.DisabledException

All Implemented Interfaces:
  `Serializable`

public class DisabledException extends AccountStatusException
Thrown if an authentication request is rejected because the account is disabled. Makes no assertion as to whether or not the credentials were valid.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DisabledException(String msg)`
Constructs a `DisabledException` with the specified message.
`DisabledException(String msg, Throwable cause)`
Constructs a `DisabledException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DisabledException

public DisabledException(String msg)
Constructs a `DisabledException` with the specified message.

Parameters:
  `msg` - the detail message

### DisabledException

public DisabledException(String msg, Throwable cause)
Constructs a `DisabledException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause